Skip to main content
POST
/
api
/
metrics
/
developer
/
teams
/
list
curl --request POST \
  --url https://api.codeant.ai/api/metrics/developer/teams/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "platform": "github",
  "org": "my-org"
}
'
{
  "status": "success",
  "teams": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Backend Team",
      "description": "Responsible for API services",
      "color": "#1570EF",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "team_leads": [
        "<string>"
      ],
      "members": [
        {
          "user_login": "jane@example.com",
          "user_name": "Jane Doe",
          "joined_at": "2023-11-07T05:31:56Z",
          "role": "member"
        }
      ],
      "tags": [
        "<string>"
      ],
      "parent_team_id": "<string>",
      "repositories": [
        "my-org/backend-api"
      ],
      "is_active": true
    }
  ],
  "total_count": 123
}

Authorizations

Authorization
string
header
required

Access token for the git provider (GitHub PAT, GitLab PAT, Bitbucket App Password, Azure DevOps PAT). Pass via Authorization: Bearer <token> header.

Body

application/json
platform
enum<string>
required

Version control platform

Available options:
github,
gitlab,
bitbucket,
azure_devops,
azuredevops
Example:

"github"

org
string
required

Organization, workspace, or group name on the platform

Example:

"my-org"

github_base_url
string
default:https://github.com

Base URL for GitHub (use for GitHub Enterprise Server)

Example:

"https://github.com"

gitlab_base_url
string
default:https://gitlab.com

Base URL for GitLab (use for self-hosted GitLab instances)

Example:

"https://gitlab.com"

azure_devops_base_url
string
default:https://dev.azure.com

Base URL for Azure DevOps (use for Azure DevOps Server)

Example:

"https://dev.azure.com"

bitbucket_base_url
string
default:https://api.bitbucket.org/2.0

Base URL for Bitbucket (use for Bitbucket Data Center/Server)

Example:

"https://api.bitbucket.org/2.0"

include_inactive
boolean
default:false

Include soft-deleted (inactive) teams

Response

List of teams

status
string
Example:

"success"

teams
object[]
total_count
integer

Number of teams returned